jif.types

## Class LabeledType_c

- java.lang.Object
- - polyglot.types.TypeObject_c
  - - polyglot.types.Type_c
    - - jif.types.LabeledType_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, LabeledType, polyglot.types.Qualifier, polyglot.types.Type, polyglot.types.TypeObject, polyglot.util.Copy<polyglot.types.TypeObject>

      public class LabeledType_c
      extends polyglot.types.Type_c
      implements LabeledType

  An implementation of the `LabeledType` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Label` | `labelPart`
    `protected polyglot.types.Type` | `typePart`

    - ### Fields inherited from class polyglot.types.TypeObject_c

      `position, ts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabeledType_c(JifTypeSystem ts, polyglot.util.Position pos, polyglot.types.Type typePart, Label labelPart)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equalsImpl(polyglot.types.TypeObject t)`
    `boolean` | `isArray()`
    `boolean` | `isBoolean()`
    `boolean` | `isByte()`
    `boolean` | `isCanonical()`
    `boolean` | `isChar()`
    `boolean` | `isClass()`
    `boolean` | `isDouble()`
    `boolean` | `isFloat()`
    `boolean` | `isInt()`
    `boolean` | `isIntOrLess()`
    `boolean` | `isLong()`
    `boolean` | `isLongOrLess()`
    `boolean` | `isNull()`
    `boolean` | `isNumeric()`
    `boolean` | `isPrimitive()`
    `boolean` | `isReference()`
    `boolean` | `isShort()`
    `boolean` | `isThrowable()`
    `boolean` | `isUncheckedException()`
    `boolean` | `isVoid()`
    `Label` | `labelPart()`
    `LabeledType` | `labelPart(Label labelPart)`
    `polyglot.types.ArrayType` | `toArray()`
    `polyglot.types.ClassType` | `toClass()`
    `polyglot.types.NullType` | `toNull()`
    `polyglot.types.PrimitiveType` | `toPrimitive()`
    `polyglot.types.ReferenceType` | `toReference()`
    `java.lang.String` | `toString()`
    `java.lang.String` | `translate(polyglot.types.Resolver c)`
    `polyglot.types.Type` | `typePart()`
    `LabeledType` | `typePart(polyglot.types.Type typePart)`

    - ### Methods inherited from class polyglot.types.Type_c

      `arrayOf, arrayOf, descendsFrom, descendsFromImpl, isCastValid, isCastValidImpl, isComparable, isImplicitCastValid, isImplicitCastValidImpl, isPackage, isSubtype, isSubtypeImpl, isType, numericConversionValid, numericConversionValid, numericConversionValidImpl, numericConversionValidImpl, print, toPackage, toType, typeEquals, typeEqualsImpl`

    - ### Methods inherited from class polyglot.types.TypeObject_c

      `copy, equals, hashCode, position, typeSystem`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.types.Type

      `arrayOf, arrayOf, descendsFrom, descendsFromImpl, isCastValid, isCastValidImpl, isComparable, isImplicitCastValid, isImplicitCastValidImpl, isSubtype, isSubtypeImpl, numericConversionValid, numericConversionValid, numericConversionValidImpl, numericConversionValidImpl, print, typeEquals, typeEqualsImpl`

    - ### Methods inherited from interface polyglot.types.Qualifier

      `isPackage, isType, toPackage, toType`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `position, typeSystem`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Field Detail

    - #### typePart

          protected polyglot.types.Type typePart

    - #### labelPart

          protected Label labelPart

  - ### Constructor Detail

    - #### LabeledType_c

          public LabeledType_c(JifTypeSystem ts,
                               polyglot.util.Position pos,
                               polyglot.types.Type typePart,
                               Label labelPart)

  - ### Method Detail

    - #### isCanonical

          public boolean isCanonical()

      Specified by:
        `isCanonical` in interface `polyglot.types.TypeObject`
      Overrides:
        `isCanonical` in class `polyglot.types.Type_c`

    - #### typePart

          public polyglot.types.Type typePart()

      Specified by:
        `typePart` in interface `LabeledType`

    - #### typePart

          public LabeledType typePart(polyglot.types.Type typePart)

      Specified by:
        `typePart` in interface `LabeledType`

    - #### labelPart

          public Label labelPart()

      Specified by:
        `labelPart` in interface `LabeledType`

    - #### labelPart

          public LabeledType labelPart(Label labelPart)

      Specified by:
        `labelPart` in interface `LabeledType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `polyglot.types.Type`
      Specified by:
        `toString` in class `polyglot.types.Type_c`

    - #### translate

          public java.lang.String translate(polyglot.types.Resolver c)

      Specified by:
        `translate` in interface `polyglot.types.Type`
      Specified by:
        `translate` in class `polyglot.types.Type_c`

    - #### equalsImpl

          public boolean equalsImpl(polyglot.types.TypeObject t)

      Specified by:
        `equalsImpl` in interface `polyglot.types.TypeObject`
      Overrides:
        `equalsImpl` in class `polyglot.types.TypeObject_c`

    - #### toClass

          public polyglot.types.ClassType toClass()

      Specified by:
        `toClass` in interface `polyglot.types.Type`
      Overrides:
        `toClass` in class `polyglot.types.Type_c`

    - #### toNull

          public polyglot.types.NullType toNull()

      Specified by:
        `toNull` in interface `polyglot.types.Type`
      Overrides:
        `toNull` in class `polyglot.types.Type_c`

    - #### toReference

          public polyglot.types.ReferenceType toReference()

      Specified by:
        `toReference` in interface `polyglot.types.Type`
      Overrides:
        `toReference` in class `polyglot.types.Type_c`

    - #### toPrimitive

          public polyglot.types.PrimitiveType toPrimitive()

      Specified by:
        `toPrimitive` in interface `polyglot.types.Type`
      Overrides:
        `toPrimitive` in class `polyglot.types.Type_c`

    - #### toArray

          public polyglot.types.ArrayType toArray()

      Specified by:
        `toArray` in interface `polyglot.types.Type`
      Overrides:
        `toArray` in class `polyglot.types.Type_c`

    - #### isPrimitive

          public boolean isPrimitive()

      Specified by:
        `isPrimitive` in interface `polyglot.types.Type`
      Overrides:
        `isPrimitive` in class `polyglot.types.Type_c`

    - #### isVoid

          public boolean isVoid()

      Specified by:
        `isVoid` in interface `polyglot.types.Type`
      Overrides:
        `isVoid` in class `polyglot.types.Type_c`

    - #### isBoolean

          public boolean isBoolean()

      Specified by:
        `isBoolean` in interface `polyglot.types.Type`
      Overrides:
        `isBoolean` in class `polyglot.types.Type_c`

    - #### isChar

          public boolean isChar()

      Specified by:
        `isChar` in interface `polyglot.types.Type`
      Overrides:
        `isChar` in class `polyglot.types.Type_c`

    - #### isByte

          public boolean isByte()

      Specified by:
        `isByte` in interface `polyglot.types.Type`
      Overrides:
        `isByte` in class `polyglot.types.Type_c`

    - #### isShort

          public boolean isShort()

      Specified by:
        `isShort` in interface `polyglot.types.Type`
      Overrides:
        `isShort` in class `polyglot.types.Type_c`

    - #### isInt

          public boolean isInt()

      Specified by:
        `isInt` in interface `polyglot.types.Type`
      Overrides:
        `isInt` in class `polyglot.types.Type_c`

    - #### isLong

          public boolean isLong()

      Specified by:
        `isLong` in interface `polyglot.types.Type`
      Overrides:
        `isLong` in class `polyglot.types.Type_c`

    - #### isFloat

          public boolean isFloat()

      Specified by:
        `isFloat` in interface `polyglot.types.Type`
      Overrides:
        `isFloat` in class `polyglot.types.Type_c`

    - #### isDouble

          public boolean isDouble()

      Specified by:
        `isDouble` in interface `polyglot.types.Type`
      Overrides:
        `isDouble` in class `polyglot.types.Type_c`

    - #### isIntOrLess

          public boolean isIntOrLess()

      Specified by:
        `isIntOrLess` in interface `polyglot.types.Type`
      Overrides:
        `isIntOrLess` in class `polyglot.types.Type_c`

    - #### isLongOrLess

          public boolean isLongOrLess()

      Specified by:
        `isLongOrLess` in interface `polyglot.types.Type`
      Overrides:
        `isLongOrLess` in class `polyglot.types.Type_c`

    - #### isNumeric

          public boolean isNumeric()

      Specified by:
        `isNumeric` in interface `polyglot.types.Type`
      Overrides:
        `isNumeric` in class `polyglot.types.Type_c`

    - #### isReference

          public boolean isReference()

      Specified by:
        `isReference` in interface `polyglot.types.Type`
      Overrides:
        `isReference` in class `polyglot.types.Type_c`

    - #### isNull

          public boolean isNull()

      Specified by:
        `isNull` in interface `polyglot.types.Type`
      Overrides:
        `isNull` in class `polyglot.types.Type_c`

    - #### isArray

          public boolean isArray()

      Specified by:
        `isArray` in interface `polyglot.types.Type`
      Overrides:
        `isArray` in class `polyglot.types.Type_c`

    - #### isClass

          public boolean isClass()

      Specified by:
        `isClass` in interface `polyglot.types.Type`
      Overrides:
        `isClass` in class `polyglot.types.Type_c`

    - #### isThrowable

          public boolean isThrowable()

      Specified by:
        `isThrowable` in interface `polyglot.types.Type`
      Overrides:
        `isThrowable` in class `polyglot.types.Type_c`

    - #### isUncheckedException

          public boolean isUncheckedException()

      Specified by:
        `isUncheckedException` in interface `polyglot.types.Type`
      Overrides:
        `isUncheckedException` in class `polyglot.types.Type_c`